/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

import java.io.*;

public class NombreInconnu {
  static BufferedReader flux = new BufferedReader(new InputStreamReader(System.in));

  /* Fonction principale                                  */
  
  public static void main(String [] args) throws IOException {
    int nombre =(int) (Math.random()*101);    // Tirage au sort du nombre a trouver
    int v;                                    // Valeur testee par l'utilisateur
    int cpt = 0;                              // Compteur d'essais
  /* Boucle de demande des nombres a tester               */
    do {
  /* Lecture clavier du nombre a tester                   */
      System.out.print("Tentez votre chance : ");
      v = Integer.valueOf(flux.readLine()).intValue();
  /* Increment du compteur d'essai                        */
      cpt++;
  /* Affichages des messages d'aide en fonction           */
  /* des valeurs respectives du nombre a trouver          */
  /* et du nombre teste                                   */
      if ( v > nombre )
        System.out.println("Trop haut");
      if ( v < nombre )
        System.out.println("Trop bas"); }
    while ( v != nombre );
  /* La boucle s'execute tant que la bonne valeur         */
  /* n'a pas ete donnee.                                  */
    System.out.println("Gagne en "+cpt+" coups");  
  }
}